Subject: Re: [bitcoin-dev] [SPAM] Concern about "Inscriptions".

From: "[email-masked]" <[email-masked]>
Date: Thu, 27 Jul 2023 12:41:06 +0200

See #28130 on bitcoin repo

Of course the intent is not to store "inscriptions" but a reference

Whatever you do bitcoin cannot avoid deviant practices

Therefore that one is the right way to go

Envoyé de mon iPhone

> Le 25 juil. 2023 à 23:19, Léo via bitcoin-dev <[email-masked]@lists.linuxfoundation.org> a écrit :
> 
> 
> Hello,
> 
> I am writing to you today because I am concerned about a significant bug that seems to be overlooked in recent versions of the software. The bug in question concerns the "inscriptions" developed by @rodarmor, and it worries me because, in just a few months, they have already reached a size of 11.8GB on the blockchain, causing issues with the UTXO set, which appears to be growing by about 25MB per day.
> 
> I understand that there may be discussions about the nature of these inscriptions, but personally, I find it hard not to consider them as spam. Their recurring nature and their impact on the size of the UTXO set and the blockchain itself seem concerning, and I would like to understand why this problem has not been addressed more seriously.
> 
> I would also like to point out that there are options in Bitcoin Core to choose the mempool policy, such as datacarrier or permitbaremultisig. However, when it comes to inscriptions, there are no available options except for a patch produced by Luke Dashjr. Unfortunately, this patch is unusable for most people as it requires compiling Bitcoin Core.
> 
> So, I wonder why there are no options to reject inscriptions in the mempool of a node. Such a feature could give users the ability to customize their approach in managing these particular cases and help mitigate the negative impact of inscriptions on the network.
> 
> In addition to the technical issues, I also find that this situation raises ethical questions. Inscriptions are primarily used to sell NFTs or Tokens, concepts that the Bitcoin community has consistently rejected.
> 
> Therefore, I kindly request you, as Bitcoin developers, to take this concern into consideration and seriously consider implementing a feature that would allow users to reject inscriptions in the mempool. Such a measure would contribute to protecting the integrity of the network.
> 
> Thank you sincerely for your attention to this matter.
> 
> Léo.
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev